com.oracle.truffle.api.frame

## Enum FrameSlotKind

- java.lang.Object
- - java.lang.Enum<FrameSlotKind>
  - - com.oracle.truffle.api.frame.FrameSlotKind

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<FrameSlotKind>

    public enum FrameSlotKind
    extends java.lang.Enum<FrameSlotKind>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`Boolean`
`Byte`
`Double`
`Float`
`Illegal`
`Int`
`Long`
`Object`

### Method Summary

Methods
`static FrameSlotKind` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static FrameSlotKind[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### Object

    public static final FrameSlotKind Object

#### Illegal

    public static final FrameSlotKind Illegal

#### Long

    public static final FrameSlotKind Long

#### Int

    public static final FrameSlotKind Int

#### Double

    public static final FrameSlotKind Double

#### Float

    public static final FrameSlotKind Float

#### Boolean

    public static final FrameSlotKind Boolean

#### Byte

    public static final FrameSlotKind Byte

### Method Detail

#### values

    public static FrameSlotKind[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (FrameSlotKind c : FrameSlotKind.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static FrameSlotKind valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null